MSVSSHISTORY (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.vss, class: MSVSSHISTORY

Package org.apache.tools.ant.taskdefs.optional.vss

# Class MSVSSHISTORY

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.vss.MSVSS
org.apache.tools.ant.taskdefs.optional.vss.MSVSSHISTORY

All Implemented Interfaces:
  `Cloneable`, `MSVSSConstants`

public class MSVSSHISTORY extends MSVSS
Performs History commands to Microsoft Visual SourceSafe.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MSVSSHISTORY.BriefCodediffNofile`
  Extension of EnumeratedAttribute to hold the values for style.

  ### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS

  `MSVSS.CurrentModUpdated, MSVSS.WritableFiles`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

  ### Fields inherited from interface org.apache.tools.ant.taskdefs.optional.vss.MSVSSConstants

  `COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_BRIEF, FLAG_CODEDIFF, FLAG_COMMENT, FLAG_FILETIME_DEF, FLAG_FILETIME_MODIFIED, FLAG_FILETIME_UPDATED, FLAG_LABEL, FLAG_LOGIN, FLAG_NO_FILE, FLAG_NO_GET, FLAG_OUTPUT, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_REPLACE_WRITABLE, FLAG_SKIP_WRITABLE, FLAG_USER, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, SS_EXE, STYLE_BRIEF, STYLE_CODEDIFF, STYLE_DEFAULT, STYLE_NOFILE, TIME_CURRENT, TIME_MODIFIED, TIME_UPDATED, VALUE_FROMDATE, VALUE_FROMLABEL, VALUE_NO, VALUE_YES, WRITABLE_FAIL, WRITABLE_REPLACE, WRITABLE_SKIP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MSVSSHISTORY()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDateFormat(String dateFormat)`
  Format of dates in `fromDate` and `toDate`.
  `void`
  `setFromDate(String fromDate)`
  Date representing the 'start' of the range.
  `void`
  `setFromLabel(String fromLabel)`
  Label representing the 'start' of the range.
  `void`
  `setNumdays(int numd)`
  Number of days for comparison.
  `void`
  `setOutput(File outfile)`
  Output file name for the history.
  `void`
  `setRecursive(boolean recursive)`
  Retrieve history recursively.
  `void`
  `setStyle(MSVSSHISTORY.BriefCodediffNofile attr)`
  Output style.
  `void`
  `setToDate(String toDate)`
  Date representing the 'end' of the range.
  `void`
  `setToLabel(String toLabel)`
  Label representing the 'end' of the range.
  `void`
  `setUser(String user)`
  Name of the user whose change history is generated.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS

  `execute, getAutoresponse, getComment, getFileTimeStamp, getGetLocalCopy, getLabel, getLocalpath, getLogin, getOutput, getQuiet, getRecursive, getSSCommand, getStyle, getUser, getVersion, getVersionDate, getVersionDateLabel, getVersionLabel, getVsspath, getWritable, getWritableFiles, setFailOnError, setInternalAutoResponse, setInternalComment, setInternalDate, setInternalDateFormat, setInternalFailOnError, setInternalFileTimeStamp, setInternalFromDate, setInternalFromLabel, setInternalGetLocalCopy, setInternalLabel, setInternalLocalPath, setInternalNumDays, setInternalOutputFilename, setInternalQuiet, setInternalRecursive, setInternalStyle, setInternalToDate, setInternalToLabel, setInternalUser, setInternalVersion, setInternalWritable, setInternalWritableFiles, setLogin, setServerpath, setSsdir, setVsspath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MSVSSHISTORY

    public MSVSSHISTORY()

- ## Method Details

  - ### setRecursive

    public void setRecursive(boolean recursive)
    Retrieve history recursively. Defaults to false.
    Parameters:
      `recursive` - The boolean value for recursive.

  - ### setUser

    public void setUser(String user)
    Name of the user whose change history is generated.
    Parameters:
      `user` - The username.

  - ### setFromDate

    public void setFromDate(String fromDate)
    Date representing the 'start' of the range.
    Parameters:
      `fromDate` - The start date.

  - ### setToDate

    public void setToDate(String toDate)
    Date representing the 'end' of the range.
    Parameters:
      `toDate` - The end date.

  - ### setFromLabel

    public void setFromLabel(String fromLabel)
    Label representing the 'start' of the range.
    Parameters:
      `fromLabel` - The start label.

  - ### setToLabel

    public void setToLabel(String toLabel)
    Label representing the 'end' of the range.
    Parameters:
      `toLabel` - The end label.

  - ### setNumdays

    public void setNumdays(int numd)
    Number of days for comparison. Defaults to 2 days.
    Parameters:
      `numd` - The number of days.

  - ### setOutput

    public void setOutput(File outfile)
    Output file name for the history.
    Parameters:
      `outfile` - The output file name.

  - ### setDateFormat

    public void setDateFormat(String dateFormat)
    Format of dates in `fromDate` and `toDate`. Used when calculating dates with the numdays attribute. This string uses the formatting rules of `SimpleDateFormat`. Defaults to `DateFormat.SHORT`.
    Parameters:
      `dateFormat` - The date format.

  - ### setStyle

    public void setStyle(MSVSSHISTORY.BriefCodediffNofile attr)
    Output style. Valid options are:
    - brief: -B Display a brief history.
    - codediff: -D Display line-by-line file changes.
    - nofile: -F- Do not display individual file updates in the project history.
    - default: No option specified. Display in Source Safe's default format.
    Parameters:
      `attr` - The history style: